function mu.criptografarSenha(){
    param(
        $senha
    )

    $charArray = ("{NOVA}" + $senha).ToCharArray()
    return ($charArray | % {[int][char]$_ + 1 } | % {[char]$_} | % {$senhaCriptografada = ""} {$senhaCriptografada += $_} {$senhaCriptografada})
}

function mu.descriptografarSenha() {
    param(
        $senhaCriptografada
    )

    $charArray = $senhaCriptografada.ToCharArray()
    $comNOVA = ($charArray | % {[int][char]$_ - 1 } | % {[char]$_} | % {$senhaCriptografada = ""} {$senhaCriptografada += $_} {$senhaCriptografada})

    return $comNOVA.replace("{NOVA}", "")

}